OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
Fio Struct Reference

Structure for keeping several open files with just one data buffer. More...

## Data Fields
byte * | buffer
byte * | buffer_end
| position pointer in local buffer and last valid byte of buffer
size_t | pos
| current (system) position in file
FILE * | cur_fh
| current file handle
const char * | filename
| current filename
FILE * | handles [MAX_FILE_SLOTS]
| array of file handles we can have open
byte | buffer_start [FIO_BUFFER_SIZE]
| local buffer when read from file
const char * | filenames [MAX_FILE_SLOTS]
| array of filenames we (should) have open
char * | shortnames [MAX_FILE_SLOTS]
| array of short names for spriteloader's use

## Detailed Description

Structure for keeping several open files with just one data buffer.

Definition at line 41 of file fileio.cpp.

The documentation for this struct was generated from the following file:

- src/fileio.cpp